Subject: Re: [PATCH V4] firmware: arm_scmi: Make scmi core independent of the transport type

From: Sudeep Holla <[email-masked]>
Date: Wed, 22 Jan 2020 12:15:38 +0000

On Wed, Jan 22, 2020 at 08:06:23AM +0530, Viresh Kumar wrote:
> The SCMI specification is fairly independent of the transport protocol,
> which can be a simple mailbox (already implemented) or anything else.
> The current Linux implementation however is very much dependent on the
> mailbox transport layer.
>
> This patch makes the SCMI core code (driver.c) independent of the
> mailbox transport layer and moves all mailbox related code to a new
> file: mailbox.c.
>
> We can now implement more transport protocols to transport SCMI
> messages.
>
> The transport protocols just need to provide struct scmi_transport_ops,
> with its version of the callbacks to enable exchange of SCMI messages.
>
> Signed-off-by: Viresh Kumar <[email-masked]>
> ---
> @Sudeep: It was my mistake that I didn't check if there is something
> already queued for next release and you never told me as well earlier :)
>

No I didn't want to distract the discussion with that silly thing.

> Can you please help me getting this tested, now that I have rebased it
> as well :) ?
>

Sure, I will give it a go on my Juno. Thanks for the rebase, makes it
simpler.

--
Regards,
Sudeep

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel